
{**********************************************************************
 Package pl_VisualPlanitComp.pkg
 is a modification of TurboPower Visual PlanIt Components Library
 For CodeTyphon Project (http://www.pilotlogic.com/)
 This unit is part of CodeTyphon Project
***********************************************************************}

unit VpSelResDlg;

interface

uses
  {$IFDEF LCL}
  LMessages,LCLProc,LCLType,LCLIntf,LResources,
  {$ELSE}
  Windows,
  {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, VpBaseDS, VpBase, VpDlg, VpResEditDlg, ExtCtrls;

type
  TfrmSelectResource = class(TForm)
    VpResourceCombo1: TVpResourceCombo;
    lblSelectResource: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    VpResourceEditDialog1: TVpResourceEditDialog;
    btnAddNew: TButton;
    btnEdit: TButton;
    Bevel1: TBevel;
    procedure btnAddNewClick(Sender: TObject);
    procedure btnEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSelectResource: TfrmSelectResource;

implementation

{$IFNDEF LCL}
{$R *.DFM}
{$ENDIF}

procedure TfrmSelectResource.btnAddNewClick(Sender: TObject);
begin
  VpResourceEditDialog1.AddNewResource;
end;

procedure TfrmSelectResource.btnEditClick(Sender: TObject);
begin
  VpResourceEditDialog1.Execute;
end;

initialization
{$IFDEF LCL}
  {$I vpselresdlg.lrs}
{$ENDIF}

end.
 
