
{**********************************************************************
 Package pl_VisualPlanitComp.pkg
 is a modification of TurboPower Visual PlanIt Components Library
 For CodeTyphon Project (http://www.pilotlogic.com/)
 This unit is part of CodeTyphon Project
***********************************************************************}

{$I Vp.INC}

unit VpWavPE;
  {Wav File Property Editor }

interface

uses
  {$IFDEF VERSION6}
  {$IFNDEF LCL}
  DesignIntf, DesignEditors,VCLEditors,
  {$ELSE}
  PropEdits,
  LazarusPackageIntf,
  FieldsEditor,
  ComponentEditors,
  {$ENDIF}
  {$ELSE}
  DsgnIntf,
  {$ENDIF}
  VpBase, VpWavDlg, Forms;

type
  {TWavFileProperty}
  TWavFileProperty = class(TStringProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    function GetValue : string; override;
    procedure Edit; override;
  end;

implementation

(*****************************************************************************)
{ TWavFileProperty }

function TWavFileProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;
{=====}

function TWavFileProperty.GetValue : string;
begin
  Result := inherited GetValue;
end;
{=====}

procedure TWavFileProperty.Edit;
var
  SoundFinder : TFrmSoundDialog;
begin
  SoundFinder := TFrmSoundDialog.Create(Application);
  try
//    SoundFinder.DingPath := Value;
    SoundFinder.Populate;
    SoundFinder.ShowModal;
{    if SoundFinder.ReturnCode = rtCommit then begin
      if SoundFinder.CBDefault.Checked then
        Value := ''
      else
        Value := SoundFinder.FileListBox1.FileName;
    end;}
  finally
    SoundFinder.Free;
  end;
end;
{=====}

end.
